Skip to main content
POST
/
v1
/
labs
/
task
/
subtitle
/
{task_id}
curl -X POST https://genaipro.vn/api/v1/labs/task/subtitle/abc123-def456 \
  --header 'Authorization: Bearer <token>' \
  -H "Content-Type: application/json" \
  -d '{
    "max_characters_per_line": 42,
    "max_lines_per_cue": 2,
    "max_seconds_per_cue": 7
  }'

Path Parameters

task_id
string
required
Task ID

Body Parameters

max_characters_per_line
number
Maximum characters per subtitle line (default: 42)
max_lines_per_cue
number
Maximum lines per subtitle cue (default: 2)
max_seconds_per_cue
number
Maximum seconds per subtitle cue (default: 7)

Response

Returns HTTP 200 with no body on success.
curl -X POST https://genaipro.vn/api/v1/labs/task/subtitle/abc123-def456 \
  --header 'Authorization: Bearer <token>' \
  -H "Content-Type: application/json" \
  -d '{
    "max_characters_per_line": 42,
    "max_lines_per_cue": 2,
    "max_seconds_per_cue": 7
  }'